import { Component, OnInit } from '@angular/core';
import {ActivatedRoute, Router} from '@angular/router';

@Component({
  selector: 'of-pages-auth-signup',
  templateUrl: './signup-page.component.html',
})
export class SignupPageComponent implements OnInit {

  returnURL: string;

  constructor(
    private router: Router,
    private activatedRoute: ActivatedRoute,
  ) { }

  ngOnInit() {
    this.returnURL = this.activatedRoute.snapshot.queryParams['returnURL'] || '/';
  }

  initForm() {
  }

  onSignin() {
    this.router.navigate(['/auth/signin']);
  }
}
